//
// wrapper.go
// Copyright (C) 2023 tiglog <me@tiglog.com>
//
// Distributed under terms of the MIT license.
//

package gweb

import "github.com/gin-gonic/gin"

type Engine = gin.Engine
type Context = gin.Context
type H = gin.H
type HandlerFunc = gin.HandlerFunc
type HandlersChain = gin.HandlersChain
type RouteInfo = gin.RouteInfo
type RoutesInfo = gin.RoutesInfo

const (
	ReleaseMode = gin.ReleaseMode
	DebugMode   = gin.DebugMode
	TestMode    = gin.TestMode
)

var New = gin.New
var SetMode = gin.SetMode
var Mode = gin.Mode
